version: '3'

services:
    home_assistant:
        image: homeassistant/home-assistant
        restart: always
        container_name: home_assistant
        environment:
            - TZ=Europe/Paris
        volumes:
            - home_assistant_config:/config
            - /etc/localtime:/etc/localtime:ro
        network_mode: host
        expose:
            - 8123
        labels:
            - "traefik.enable=true"
            - "traefik.http.routers.homeassistant-secure.entrypoints=https"
            - "traefik.http.routers.homeassistant-secure.rule=Host(`domo.mrdev023.fr`)"
            - "traefik.http.routers.homeassistant-secure.tls=true"
            - "traefik.http.routers.homeassistant-secure.tls.certresolver=sslResolver"
            # - "traefik.http.routers.homeassistant-secure.service=homeassistant"
            - "traefik.http.services.homeassistant.loadbalancer.server.port=8123"

volumes:
    home_assistant_config:
